Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.workflow.data
Class EventType

    java.lang.Object
      net.sf.dropboxmq.workflow.data.EventType

All Implemented Interfaces:
  Serializable, Cloneable

    public class EventType

extends Object
implements Serializable, Cloneable

Created: 28 Jul 2010

Version:
  $Revision$, $Date$
Author:
  Dwayne Schultz
See Also:
  Serialized Form

Nested Class Summary
`static class` | `EventType.EventTypeStarting`

Constructor Summary
`EventType()`

Method Summary
`EventType` | `clone()`
`boolean` | `equals(Object obj)`
`String` | `getContextXPath()`
`String` | `getErrorTransformerFilePath()`
`Integer` | `getId()`
`String` | `getKeyXPath()`
`String` | `getName()`
`String` | `getParentKeyXPath()`
`Integer` | `getParentProcessTypeId()`
`String` | `getParentProcessTypeName()`
`Integer` | `getProcessTypeId()`
`String` | `getProcessTypeName()`
`EventType.EventTypeStarting` | `getStartingEnum()`
`String` | `getTestXPath()`
`int` | `hashCode()`
`Boolean` | `isBroadcast()`
`Boolean` | `isEnabled()`
`void` | `setBroadcast(Boolean isBroadcast)`
`void` | `setContextXPath(String contextXPath)`
`void` | `setEnabled(Boolean isEnabled)`
`void` | `setErrorTransformerFilePath(String errorTransformerFilePath)`
`void` | `setId(Integer id)`
`void` | `setKeyXPath(String keyXPath)`
`void` | `setName(String name)`
`void` | `setParentKeyXPath(String parentKeyXPath)`
`void` | `setParentProcessTypeId(Integer parentProcessTypeId)`
`void` | `setParentProcessTypeName(String parentProcessTypeName)`
`void` | `setProcessTypeId(Integer processTypeId)`
`void` | `setProcessTypeName(String processTypeName)`
`void` | `setStartingEnum(EventType.EventTypeStarting startingEnum)`
`void` | `setTestXPath(String testXPath)`
`void` | `setWillIgnoreLateMessageToTerminatedRun(Boolean willIgnoreLateMessageToTerminatedRun)`
`void` | `setWillKeepOnlyLastBroadcast(Boolean willKeepOnlyLastBroadcast)`
`String` | `toString()`
`Boolean` | `willIgnoreLateMessageToTerminatedRun()`
`Boolean` | `willKeepOnlyLastBroadcast()`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EventType

    public EventType()

Method Detail

### getId

    public Integer getId()

### setId

    public void setId(Integer id)

### getName

    public String getName()

### setName

    public void setName(String name)

### isEnabled

    public Boolean isEnabled()

### setEnabled

    public void setEnabled(Boolean isEnabled)

### getTestXPath

    public String getTestXPath()

### setTestXPath

    public void setTestXPath(String testXPath)

### getKeyXPath

    public String getKeyXPath()

### setKeyXPath

    public void setKeyXPath(String keyXPath)

### getContextXPath

    public String getContextXPath()

### setContextXPath

    public void setContextXPath(String contextXPath)

### getStartingEnum

    public EventType.EventTypeStarting getStartingEnum()

### setStartingEnum

    public void setStartingEnum(EventType.EventTypeStarting startingEnum)

### isBroadcast

    public Boolean isBroadcast()

### setBroadcast

    public void setBroadcast(Boolean isBroadcast)

### willKeepOnlyLastBroadcast

    public Boolean willKeepOnlyLastBroadcast()

### setWillKeepOnlyLastBroadcast

    public void setWillKeepOnlyLastBroadcast(Boolean willKeepOnlyLastBroadcast)

### willIgnoreLateMessageToTerminatedRun

    public Boolean willIgnoreLateMessageToTerminatedRun()

### setWillIgnoreLateMessageToTerminatedRun

    public void setWillIgnoreLateMessageToTerminatedRun(Boolean willIgnoreLateMessageToTerminatedRun)

### getErrorTransformerFilePath

    public String getErrorTransformerFilePath()

### setErrorTransformerFilePath

    public void setErrorTransformerFilePath(String errorTransformerFilePath)

### getParentKeyXPath

    public String getParentKeyXPath()

### setParentKeyXPath

    public void setParentKeyXPath(String parentKeyXPath)

### getParentProcessTypeId

    public Integer getParentProcessTypeId()

### setParentProcessTypeId

    public void setParentProcessTypeId(Integer parentProcessTypeId)

### getProcessTypeId

    public Integer getProcessTypeId()

### setProcessTypeId

    public void setProcessTypeId(Integer processTypeId)

### getProcessTypeName

    public String getProcessTypeName()

### setProcessTypeName

    public void setProcessTypeName(String processTypeName)

### getParentProcessTypeName

    public String getParentProcessTypeName()

### setParentProcessTypeName

    public void setParentProcessTypeName(String parentProcessTypeName)

### clone

    public final EventType clone()

  Overrides:
    `clone` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD